Tomcat3Adapter (Tomcat API Documentation)
Keywords: org.apache.coyote.tomcat3.Tomcat3Adapter class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.coyote.tomcat3
Class Tomcat3Adapter

    java.lang.Object
      org.apache.coyote.tomcat3.Tomcat3Adapter

All Implemented Interfaces:
  Adapter

public class Tomcat3Adapter
extends java.lang.Object
implements Adapter

Adapter between Coyote and Tomcat. This class handles the task of passing of an individual request to Tomcat to handle. Also some of the connection-specific methods are delegated to here.

Method Summary
`void` | `service(Request request, Response response)` Pass off an individual request to Tomcat.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### service

    public void service(Request request,
                        Response response)
                 throws java.lang.Exception

  Pass off an individual request to Tomcat.

  Specified by:
    `service` in interface `Adapter`
  Throws:
    `java.lang.Exception` - if an error happens during handling of the request. Common errors are:
    - IOException if an input/output error occurs and we are processing an included servlet (otherwise it is swallowed and handled by the top level error handler mechanism)
    - ServletException if a servlet throws an exception and we are processing an included servlet (otherwise it is swallowed and handled by the top level error handler mechanism)
    Tomcat should be able to handle and log any other exception ( including runtime exceptions )

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.